## libkexiv2 15.08.2

=== CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

project(libkexiv2)

message(STATUS "----------------------------------------------------------------------------------")
message(STATUS "Starting CMake configuration for: libkexiv2")

find_package(KDE4 REQUIRED)

include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)
include(MacroOptionalFindPackage)
include(FindPackageHandleStandardArgs)

add_definitions(${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(${QDBUS_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

set(LIBKEXIV2_AREA_CODE_GENERAL 51003)
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=${LIBKEXIV2_AREA_CODE_GENERAL})

set(EXIV2_MIN_VERSION "0.24")
find_package(Exiv2)
MACRO_LOG_FEATURE(EXIV2_FOUND "Exiv2" "Required to build libkexiv2." "http://www.exiv2.org"
                  TRUE ${EXIV2_MIN_VERSION} "")

# =======================================================
# Information to update before to release this library.

# Library version history:
# API      ABI
# 0.1.0 => 0.1.0
# 0.1.1 => 0.2.0
# 0.1.2 => 1.0.1
# 0.1.3 => 1.0.1
# 0.1.4 => 2.0.2
# 0.1.5 => 2.1.1
# 0.1.6 => 3.0.0
# 0.1.7 => 4.0.1
# 0.1.8 => 5.0.0
# 0.2.0 => 6.0.0     (released with KDE 4.1.0)
# 0.3.0 => 7.0.0     (released with KDE 4.1.2)
# 0.4.0 => 7.1.0
# 0.5.0 => 7.2.0     (Released with KDE 4.2.0)
# 0.6.0 => 7.3.0     (Released with KDE 4.3.0)
# 1.0.0 => 8.0.0     (Released with KDE 4.4.0)
# 1.1.0 => 8.1.0     (Released with KDE 4.5.0)
# 1.2.0 => 9.0.0     (Released with KDE 4.6.0  - Including XMP sidecar support
# 2.0.0 => 10.0.0    (Released with KDE 4.7.0)
# 2.1.0 => 10.0.1    (Released with KDE 4.7.1) - Add AltLangStrEdit visible lines API
# 2.1.1 => 10.0.2    (Released with KDE 4.7.4) - Add AltLangStrEdit::setCurrentLanguageCode()
# 2.2.0 => 11.0.0    (Released with KDE 4.8.1) - Remove deprecated methods
# 2.3.0 => 11.1.0    (Released with KDE 4.8.2) - Add new static methods about XMP sidecar file management.
# 2.3.1 => 11.2.0                              - Add new method to set specific XMP tag string
# 2.4.0 => 11.3.0                              - Add new method to access on text edit widget from AltLangStrEdit.

# Library API version
set(KEXIV2_LIB_MAJOR_VERSION "2")
set(KEXIV2_LIB_MINOR_VERSION "4")
set(KEXIV2_LIB_PATCH_VERSION "0")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final relase. Can be used in production.
set(KEXIV2_LIB_SUFFIX_VERSION "")

# Library ABI version used by linker.
# For details : http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
set(KEXIV2_LIB_SO_CUR_VERSION "11")
set(KEXIV2_LIB_SO_REV_VERSION "3")
set(KEXIV2_LIB_SO_AGE_VERSION "0")

# =======================================================
# Set env. variables accordinly.

set(KEXIV2_LIB_VERSION_STRING    "${KEXIV2_LIB_MAJOR_VERSION}.${KEXIV2_LIB_MINOR_VERSION}.${KEXIV2_LIB_PATCH_VERSION}${KEXIV2_LIB_SUFFIX_VERSION}")
set(KEXIV2_LIB_VERSION_ID        "0x0${KEXIV2_LIB_MAJOR_VERSION}0${KEXIV2_LIB_MINOR_VERSION}0${KEXIV2_LIB_PATCH_VERSION}")
set(KEXIV2_LIB_SO_VERSION_STRING "${KEXIV2_LIB_SO_CUR_VERSION}.${KEXIV2_LIB_SO_REV_VERSION}.${KEXIV2_LIB_SO_AGE_VERSION}")

# =======================================================

if(EXIV2_FOUND)

    add_subdirectory(libkexiv2)

    if(KDE4_BUILD_TESTS)
        MACRO_OPTIONAL_ADD_SUBDIRECTORY(tests)
    endif()

    include(CMakePackageConfigHelpers)

    CONFIGURE_PACKAGE_CONFIG_FILE(${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/libkexiv2-config.cmake.in libkexiv2-config.cmake
                                  INSTALL_DESTINATION "${LIB_INSTALL_DIR}/cmake/libkexiv2-${KEXIV2_LIB_VERSION_STRING}"
                                  PATH_VARS INCLUDE_INSTALL_DIR
                                  NO_CHECK_REQUIRED_COMPONENTS_MACRO)

    WRITE_BASIC_PACKAGE_VERSION_FILE(libkexiv2-config-version.cmake
                                     VERSION "${KEXIV2_LIB_MAJOR_VERSION}.${KEXIV2_LIB_MINOR_VERSION}.${KEXIV2_LIB_PATCH_VERSION}"
                                     COMPATIBILITY SameMajorVersion)
    install(EXPORT Libkexiv2
            DESTINATION "${LIB_INSTALL_DIR}/cmake/libkexiv2-${KEXIV2_LIB_VERSION_STRING}"
            NAMESPACE Libkexiv2::
            FILE libkexiv2-export.cmake)

    install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2-config.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2-config-version.cmake
            DESTINATION
            "${LIB_INSTALL_DIR}/cmake/libkexiv2-${KEXIV2_LIB_VERSION_STRING}")

endif()

MACRO_DISPLAY_FEATURE_LOG()

=== libkexiv2/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

include_directories(${EXIV2_INCLUDE_DIR})

add_definitions(${EXIV2_DEFINITIONS})
add_definitions(${KDE4_ENABLE_EXCEPTIONS})

if(WIN32)
    add_definitions(-DEXV_HAVE_DLL)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/version.h)

# This was used to enable catching of exceptions thrown by libexiv2.
# We use now #pragma GCC visibility push(default) around the headers
#SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=default")

set(kexiv2_LIB_SRCS kexiv2.cpp
                    kexiv2_p.cpp
                    kexiv2image.cpp
                    kexiv2comments.cpp
                    kexiv2exif.cpp
                    kexiv2iptc.cpp
                    kexiv2gps.cpp
                    kexiv2xmp.cpp
                    kexiv2previews.cpp
                    altlangstredit.cpp
                    msgtextedit.cpp
                    countryselector.cpp
                    subjectwidget.cpp
                    rotationmatrix.cpp
   )

KDE4_ADD_LIBRARY(kexiv2 SHARED ${kexiv2_LIB_SRCS})

target_link_libraries(kexiv2 ${KDE4_KDEUI_LIBS} ${KDE4_KDECORE_LIBS} ${QT_QTGUI_LIBRARY}
                             ${QT_QTXML_LIBRARY} ${EXIV2_LIBRARIES})

if(WIN32)
    TARGET_LINK_LIBRARIES( kexiv2 ${EXPAT_LIBRARIES} )
endif()

set_target_properties(kexiv2 PROPERTIES VERSION ${KEXIV2_LIB_SO_VERSION_STRING} 
                             SOVERSION ${KEXIV2_LIB_SO_CUR_VERSION})

install(TARGETS kexiv2 EXPORT Libkexiv2 ${INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES topicset.iptc-subjectcode.xml DESTINATION ${DATA_INSTALL_DIR}/libkexiv2/data)

# Check if compilation is done through digiKam SC or not. If yes, do not install header files.
if(NOT DIGIKAMSC_COMPILE_LIBKEXIV2)

    install(FILES kexiv2.h
                  kexiv2data.h
                  kexiv2previews.h
                  libkexiv2_export.h
                  msgtextedit.h
                  subjectwidget.h
                  altlangstredit.h
                  countryselector.h
                  rotationmatrix.h
                  ${CMAKE_CURRENT_BINARY_DIR}/version.h
            DESTINATION ${INCLUDE_INSTALL_DIR}/libkexiv2
            COMPONENT Devel
           )

    if(NOT WIN32)
            configure_file(${CMAKE_SOURCE_DIR}/cmake/templates/libkexiv2.pc.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2.pc)
            configure_file(${CMAKE_SOURCE_DIR}/cmake/templates/libkexiv2.lsm.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2.lsm)
            install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libkexiv2.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
    endif()

endif()

## libkexiv2 4.7.1

=== debian/changelog ===
libkexiv2 (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 01:15:42 +0200

libkexiv2 (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 03 Sep 2011 21:01:39 +0200

libkexiv2 (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 22 Jul 2011 23:06:54 +0200

libkexiv2 (4:4.6.90-0ubuntu2) oneiric; urgency=low

  * Split data files into an own package.

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 13 Jul 2011 15:28:06 +0200

libkexiv2 (4:4.6.90-0ubuntu1) oneiric; urgency=low

  [ Romain Perier ]
  * Initial development release: split off from kdegraphics

  [ Felix Geyer ]
  * Make libkexiv2-dbg depend on libkexiv2-10.

 -- Romain Perier <romain.perier@gmail.com>  Mon, 11 Jul 2011 14:07:35 +0200

=== debian/control ===
Source: libkexiv2
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6), libexiv2-dev (>= 0.20)
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2

Package: libkexiv2-10
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libkexiv2-data (>= ${source:Version})
Description: Qt like interface for the libexiv2 library (runtime)
 Contains the library of libkexiv2.
 .
 Libkexiv is a wrapper around Exiv2 library to manipulate pictures metadata.

Package: libkexiv2-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kdegraphics-libs-data (<< 4:4.6.80),
        libkexiv2-10 (<< 4:4.6.90-0ubuntu2~)
Replaces: kdegraphics-libs-data (<< 4:4.6.80),
          libkexiv2-10 (<< 4:4.6.90-0ubuntu2~)
Description: Qt like interface for the libexiv2 library (data files)
 Contains the data files of libkexiv2.
 .
 Libkexiv is a wrapper around Exiv2 library to manipulate pictures metadata.

Package: libkexiv2-dev
Section: libdevel
Architecture: any
Depends: libkexiv2-10 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkexiv2-10}, pkg-config
Conflicts: libkexiv2-6-dev, libkexiv2-7-dev, libkexiv2-8-dev
Description: Qt-like interface for the libexiv2 library (development)
 libkexif2-dev contains development files and documentation for libkexiv2
 library.  The library documentation is available on kexiv2.h header file.
 .
 Libkexif is a wrapper around Exiv2 library to manipulate pictures metadata.

Package: libkexiv2-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libkexiv2-10
Description: debugging symbols for the KDE libexiv2 library
 This package contains debugging files used to investigate problems with
 library included in the libexiv2 package.

## libkexiv2 4.7.2

=== debian/changelog ===
libkexiv2 (4:4.7.2-1) experimental; urgency=low

  [ José Manuel Santamaría Lema ]
  * Initial release. Start from the Ubuntu packaging, thanks!

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:44:59 -0300

=== debian/control ===
Source: libkexiv2
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.7), libexiv2-dev (>= 0.20)
Standards-Version: 3.9.2
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkexiv2.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkexiv2.git

Package: libkexiv2-10
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         libkexiv2-data (>= ${source:Version})
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkexiv2-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kdegraphics-libs-data (<< 4:4.6.80)
Replaces: kdegraphics-libs-data (<< 4:4.6.80)
Description: Qt-like interface for the libexiv2 library -- data files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the data files of the libexiv2 library.

Package: libkexiv2-dev
Section: libdevel
Architecture: any
Depends: libkexiv2-10 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:kdelibs5-dev:libkexiv2-10}, pkg-config
Conflicts: libkexiv2-6-dev, libkexiv2-7-dev, libkexiv2-8-dev
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

Package: libkexiv2-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, libkexiv2-10 (= ${binary:Version})
Description: Qt-like interface for the libexiv2 library -- debugging symbols
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the debugging files used to investigate problems with
 the libexiv2 library.

## libkexiv2 4.7.4

=== debian/changelog ===
libkexiv2 (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

  [ José Manuel Santamaría Lema ]
  * Confirm symbols files on all architectures.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 06 Mar 2012 10:42:23 +0100

libkexiv2 (4:4.7.4-1) experimental; urgency=low

  * New upstream release.
  
  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.
  * Confirm symbols files on more architectures with 4.7.2 build logs.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 00:45:11 +0100

## libkexiv2 4.8.2

=== debian/changelog ===
libkexiv2 (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Mar 2012 20:59:14 +0200

libkexiv2 (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 18:57:27 +0100

libkexiv2 (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 15:49:32 +0000

libkexiv2 (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:15:01 +0000

libkexiv2 (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 15:07:25 +0100

libkexiv2 (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Dec 2011 13:28:07 +0000

libkexiv2 (4:4.7.3-0ubuntu2) precise; urgency=low

  * Use our previous libkexiv2-10.symbols file to prevent build failures

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 Nov 2011 19:56:48 +0000

libkexiv2 (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:52 +0000

libkexiv2 (4:4.7.2-0r0) UNRELEASED; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 23 Sep 2011 21:44:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: libkexiv2
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7), libexiv2-dev (>= 0.20)
+ kdelibs5-dev (>= 4:4.8.1), libexiv2-dev (>= 0.20)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkexiv2.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkexiv2.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkexiv2.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkexiv2.git
 
 Package: libkexiv2-10
 Section: libs

## libkexiv2 4.8.4

=== debian/changelog ===
libkexiv2 (4:4.8.4-1) unstable; urgency=low

  * Prepare new upstream
  * Update symbol files
  * Update install files

 -- Sune Vuorela <sune@debian.org>  Sun, 17 Jun 2012 22:19:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,15 @@
 Source: libkexiv2
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1), libexiv2-dev (>= 0.20)
+ kdelibs5-dev (>= 4:4.7), libexiv2-dev (>= 0.20)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkexiv2.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkexiv2.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkexiv2.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkexiv2.git
 
 Package: libkexiv2-10
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_makeshlibs:
	$(overridden_command) -- -c0

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkexiv2-dbg

## libkexiv2 4.8.5

=== debian/changelog ===
libkexiv2 (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  [ Scott Kitterman ]
  * New upstream bugfix release (LP: #1047417)

  [ Felix Geyer ]
  * Make libkexiv2-data break/replace libkexiv2-8 due to file conflicts.
    (LP: #1041821)

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 07 Sep 2012 16:53:13 +0200

libkexiv2 (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:41:57 +0200

libkexiv2 (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 May 2012 20:13:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: libkexiv2
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7), libexiv2-dev (>= 0.20)
+ kdelibs5-dev (>= 4:4.8.1), libexiv2-dev (>= 0.20)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkexiv2.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkexiv2.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkexiv2.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkexiv2.git
 
 Package: libkexiv2-10
 Section: libs
@@ -25,8 +28,8 @@
 Package: libkexiv2-data
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kdegraphics-libs-data (<< 4:4.6.80)
-Replaces: kdegraphics-libs-data (<< 4:4.6.80)
+Breaks: kdegraphics-libs-data (<< 4:4.6.80), libkexiv2-8
+Replaces: kdegraphics-libs-data (<< 4:4.6.80), libkexiv2-8
 Description: Qt-like interface for the libexiv2 library -- data files
  Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
  pictures metadata.

## libkexiv2 4.9.2

=== debian/changelog ===
libkexiv2 (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:35:03 +0100

libkexiv2 (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:39:54 +0530

libkexiv2 (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 17:14:48 +0100

libkexiv2 (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 18:07:10 +0200

libkexiv2 (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release
    - replace libkexiv2-10 with libkexiv2-11 for new ABI version
    - refresh libkexiv2-11.symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 26 May 2012 14:27:02 +0200

libkexiv2 (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Update symbol files for gcc 4.7 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 13 May 2012 20:14:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1), libexiv2-dev (>= 0.20)
+ kdelibs5-dev (>= 4:4.9.2), libexiv2-dev (>= 0.20)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2
@@ -14,7 +14,7 @@
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkexiv2.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkexiv2.git
 
-Package: libkexiv2-10
+Package: libkexiv2-11
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -28,8 +28,8 @@
 Package: libkexiv2-data
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: kdegraphics-libs-data (<< 4:4.6.80), libkexiv2-8
-Replaces: kdegraphics-libs-data (<< 4:4.6.80), libkexiv2-8
+Breaks: kdegraphics-libs-data (<< 4:4.6.80)
+Replaces: kdegraphics-libs-data (<< 4:4.6.80)
 Description: Qt-like interface for the libexiv2 library -- data files
  Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
  pictures metadata.
@@ -39,8 +39,8 @@
 Package: libkexiv2-dev
 Section: libdevel
 Architecture: any
-Depends: libkexiv2-10 (= ${binary:Version}), ${misc:Depends},
- ${sameVersionDep:kdelibs5-dev:libkexiv2-10}, pkg-config
+Depends: libkexiv2-11 (= ${binary:Version}), ${misc:Depends},
+ ${sameVersionDep:kdelibs5-dev:libkexiv2-11}, pkg-config
 Conflicts: libkexiv2-6-dev, libkexiv2-7-dev, libkexiv2-8-dev
 Description: Qt-like interface for the libexiv2 library -- development files
  Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
@@ -53,7 +53,7 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${misc:Depends}, libkexiv2-10 (= ${binary:Version})
+Depends: ${misc:Depends}, libkexiv2-11 (= ${binary:Version})
 Description: Qt-like interface for the libexiv2 library -- debugging symbols
  Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
  pictures metadata.

## libkexiv2 4.10.0

=== debian/changelog ===
libkexiv2 (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:08:12 +0000

libkexiv2 (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:59:34 +0000

libkexiv2 (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:20:38 +0100

libkexiv2 (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:11:14 +0000

libkexiv2 (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:11:31 +0000

libkexiv2 (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release
  * Update .symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:39:37 +0000

libkexiv2 (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:43:47 +0100

libkexiv2 (4:4.7.2-0r0) raring; urgency=low

  * Initial release. Start from the Ubuntu packaging, thanks!

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 23 Sep 2011 21:44:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), libexiv2-dev (>= 0.20)
+ kdelibs5-dev (>= 4:4.10.0), libexiv2-dev (>= 0.20)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2

## libkexiv2 4.10.2

=== debian/changelog ===
libkexiv2 (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:32:15 +0200

libkexiv2 (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:43:17 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), libexiv2-dev (>= 0.20)
+ kdelibs5-dev (>= 4:4.10.2), libexiv2-dev (>= 0.20)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2

## libkexiv2 4.11.2

=== debian/changelog ===
libkexiv2 (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:47:32 +0100

libkexiv2 (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:35:44 +0100

libkexiv2 (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 13 Aug 2013 23:51:48 +0100

libkexiv2 (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release
  * New upstream RC 2 release
  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:57:47 +0100

libkexiv2 (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:21 +0000

libkexiv2 (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:27:02 +0100

libkexiv2 (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Update libkexiv2-11.symbols 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Jun 2013 01:43:13 +0100

libkexiv2 (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:46:54 +0100

libkexiv2 (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:10:51 +0000

libkexiv2 (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Bump the kde-sc-dev-latest and kdelibs5-dev build dependencies to 4.10.
  * Update Uploaders.

  [ Sune Vuorela ]
  * Add myself to uploaders.

 -- Sune Vuorela <sune@debian.org>  Mon, 29 Apr 2013 01:31:56 +0200

libkexiv2 (4:4.10.2-1) experimental; urgency=low

  * New upstream
  * Update copyright
  * Soversion bumped => pkg rename and stuff

 -- Sune Vuorela <sune@debian.org>  Thu, 04 Apr 2013 06:46:38 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: 
+Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2), libexiv2-dev (>= 0.20)
+ kdelibs5-dev (>= 4:4.11.2), libexiv2-dev (>= 0.20)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkexiv2.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/libkexiv2.git
+X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/libkexiv2.git
+X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/libkexiv2.git
 
 Package: libkexiv2-11
 Section: libs

## libkexiv2 4.12.3

=== debian/changelog ===
libkexiv2 (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:50:41 +0100

libkexiv2 (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:11:34 +0100

libkexiv2 (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:20:52 +0000

libkexiv2 (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:34:56 +0000

libkexiv2 (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:35:15 +0000

libkexiv2 (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:33:35 +0000

libkexiv2 (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:30:48 +0100

libkexiv2 (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:54:12 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2), libexiv2-dev (>= 0.20)
+ kdelibs5-dev (>= 4:4.12.3), libexiv2-dev (>= 0.20)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2

## libkexiv2 4.13.0

=== debian/changelog ===
libkexiv2 (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:21:46 +0100

libkexiv2 (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:49:02 +0200

libkexiv2 (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:48:38 +0100

libkexiv2 (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:54:29 +0000

libkexiv2 (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:09:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>, Sune Vuorela <sune@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3), libexiv2-dev (>= 0.20)
+ kdelibs5-dev (>= 4:4.13.0), libexiv2-dev (>= 0.20)
 Standards-Version: 3.9.2
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2

## libkexiv2 4.14.1

=== debian/changelog ===
libkexiv2 (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:46:14 +0200

libkexiv2 (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:32:07 +0200

libkexiv2 (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:21:25 +0200

libkexiv2 (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Update libkexiv2-11.symbols for new gcc

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:46:11 +0200

libkexiv2 (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * Add missing files to libkexiv2-dev

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:36:13 +0200

libkexiv2 (4:4.13.2-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Merge with debian, no remaining changes

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:06:55 +0100

libkexiv2 (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 May 2014 09:38:00 +0200

libkexiv2 (4:4.12.3-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:50 +0200

libkexiv2 (4:4.12.3-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Merge changes from 4:4.11.5-2.

  [ Maximiliano Curia ]
  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:35 +0100

libkexiv2 (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:32 +0100

libkexiv2 (4:4.11.5-2) unstable; urgency=medium

  * Team upload.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sat, 22 Feb 2014 18:38:36 +0100

libkexiv2 (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Enable build failures on missing symbols.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add abi-compliance-checker info.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jan 2014 15:35:55 -0300

libkexiv2 (4:4.11.3-2) unstable; urgency=low

  * Add the pkg-config build dependency.

 -- Pino Toscano <pino@debian.org>  Wed, 25 Dec 2013 18:07:29 +0100

libkexiv2 (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 12:38:29 +0100

libkexiv2 (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Oct 2013 12:14:56 +0200

libkexiv2 (4:4.10.5-1) unstable; urgency=low

  * New upstream release.
  * Update symbols.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 13:44:48 +0200

libkexiv2 (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Add watch file.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 13:47:58 +0200

=== debian/control ===
Source: libkexiv2
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libexiv2-dev (>= 0.20),
               pkg-config,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2
X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkexiv2.git
X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkexiv2.git

Package: libkexiv2-11
Section: libs
Architecture: any
Depends: libkexiv2-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt like interface for the libexiv2 library
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the libkexiv2 library.

Package: libkexiv2-data
Architecture: all
Depends: ${misc:Depends}
Breaks: kdegraphics-libs-data (<< 4:4.6.80)
Replaces: kdegraphics-libs-data (<< 4:4.6.80)
Description: Qt-like interface for the libexiv2 library -- data files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the data files of the libexiv2 library.

Package: libkexiv2-dev
Section: libdevel
Architecture: any
Depends: libkexiv2-11 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkexiv2-11}
Conflicts: libkexiv2-6-dev, libkexiv2-7-dev, libkexiv2-8-dev
Description: Qt-like interface for the libexiv2 library -- development files
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the development files and the documentation.
 The library documentation is available in the kexiv2.h header file.

Package: libkexiv2-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libkexiv2-11 (= ${binary:Version}), ${misc:Depends}
Description: Qt-like interface for the libexiv2 library -- debugging symbols
 Libkexiv2 is a Qt wrapper around the Exiv2 library, used to manipulate
 pictures metadata.
 .
 This package contains the debugging files used to investigate problems with
 the libexiv2 library.

## libkexiv2 4.14.2

=== debian/changelog ===
libkexiv2 (4:4.14.2-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_Prevent-crash-if-index-if-out-of-QList-range.patch: drop,
      backported
    - upstream_bump-the-version-to-2.3.2.patch: drop, backported
    - upstream_If-edited-and-previous-strings-are-empty-do-nothing.patch:
      drop, backported
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Oct 2014 08:45:52 +0200

libkexiv2 (4:4.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Backport few upstream patches (basically a KDE/4.14 branch pull):
    - backport commit 25ad41274d0f4084554794ee91e183accfce781f to fix
      out-of-bounds crashes when handling metadata; patch
      upstream_Prevent-crash-if-index-if-out-of-QList-range.patch.
      (Closes: #763991)
    - backport commit 6b680149626a8b8b5524656ab4b2d9a4ce6cfbae to bump the
      version to 2.3.2, so library users (e.g. digikam) can know this version
      has the above fix; patch upstream_bump-the-version-to-2.3.2.patch.
    - backport commit 1af638424c3bc55e5ceac5f4ac6f48ee47f407a7 to avoid useless
      change requests when no actual changes were done; patch
      upstream_If-edited-and-previous-strings-are-empty-do-nothing.patch.
  * Update install files (related to the version change).

 -- Pino Toscano <pino@debian.org>  Tue, 07 Oct 2014 08:33:12 +0200

libkexiv2 (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 22 Aug 2014 16:29:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,21 @@
 Source: libkexiv2
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
                libexiv2-dev (>= 0.20),
                pkg-config,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/libkexiv2
-X-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkexiv2.git
-X-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkexiv2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkexiv2.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkexiv2.git
 
 Package: libkexiv2-11
 Section: libs

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/libkexiv2-([\d.]+).tar.xz

## libkexiv2 14.12.3

=== debian/changelog ===
libkexiv2 (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:29:55 -0700

libkexiv2 (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:33:09 -0800

libkexiv2 (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 17:11:50 +0100

libkexiv2 (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Update symbols

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:50 +0100

libkexiv2 (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:24:23 -0700

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: libkexiv2
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev,
                libexiv2-dev (>= 0.20),
                pkg-config,
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/libkexiv2.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/libkexiv2.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkexiv2.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkexiv2.git
 
 Package: libkexiv2-11
 Section: libs

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkexiv2-([\d.]+).tar.xz

## libkexiv2 15.04.3

=== debian/changelog ===
libkexiv2 (4:15.04.3-1) unstable; urgency=medium

  * New upstream release (15.04.0).
  * Update symbols files from buildds logs (4:14.12.2-1).
  * New upstream release (15.04.3).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 27 Aug 2015 12:20:15 +0200

libkexiv2 (4:15.07.90-0ubuntu1) wily; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update symbols files:
    - mark as optional symbols gone after building with GCC 5
    - mark as optional a private symbols which shows up in GCC 5 but not in
      GCC 4

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:24:12 +0100

libkexiv2 (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:44:51 +0200

libkexiv2 (4:14.12.2-1) experimental; urgency=medium

  * New upstream release (14.12.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Feb 2015 08:54:01 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/libkexiv2.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/libkexiv2.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkexiv2.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkexiv2.git
 
 Package: libkexiv2-11
 Section: libs

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_shlibdeps:
	$(overridden_command) $(foreach p,$(shell dh_listpackages | grep ^lib),-p$p) -- -xkde-runtime
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=libkexiv2-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkexiv2-([\d.]+).tar.xz
